@import '../../styles/--scss-vars.scss';

.videoScreen {
  @include border-radius($subdiv * 4);
  overflow: hidden;
  height: $spacer4 * 4;
  position: relative;
  .artist-window {
    background-color: $color-d0;
    width: 100%;
    height: 100%;
    @include border-radius($subdiv * 4);
    border: 1px solid $color-w0;
    overflow: hidden;
    .inner-wrap {
      margin: calc(var(--subdiv) * 3);
      padding: $gutter 0;
      height: 100%;
      overflow-y: auto;
      overflow-x: hidden;
      .cast {
        text-align: center;
        .avtar {
          width: calc(var(--spacer5) * var(--subdiv));
          height: calc(var(--spacer5) * var(--subdiv));
          @include border-radius(50%);
          overflow: hidden;
        }
        .info {
          padding: calc(var(--subdiv) * 2) calc(var(--subdiv) * 2);
          h3 {
            color: $color-w0;
            font-size: calc(var(--subdiv) * 6);
            text-transform: uppercase;
            margin-bottom: 2px;
          }
          p {
            font-size: calc(var(--subdiv) * 4 - 2px);
            font-weight: 700;
          }
        }
      }
    }
  }
  .artist-video,
  .audience-video {
    background-color: $color-d0;
    width: 100%;
    height: 100%;
    @include border-radius($subdiv * 4);
    overflow: hidden;
    position: relative;
    img,
    video {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
  &.sprite {
    display: flex;
    justify-content: space-between;
    .artist-video {
      width: calc(50% - $gutter / 2);
      margin-right: $gutter;
    }
    .audience-video {
      width: calc(50% - $gutter / 2);
    }
  }
}
.event-wrap {
  max-width: $column9 - $spacer5;
  width: 100%;
  margin: auto;
  .event-card {
    margin-bottom: $baseline;
    border: 1px solid $color-f0;
    padding: calc(var(--subdiv) * 5) calc(var(--subdiv) * 3);
    @include border-radius(8px);
    text-align: center;
    .dateTime {
      color: $color-f0;
      font-size: calc(var(--subdiv) * 3);
      font-weight: 700;
      text-transform: uppercase;
      line-height: 1.2;
      margin-bottom: calc(var(--subdiv) * 2);
    }
    .title {
      font-size: calc(var(--subdiv) * 3);
    }
    .calender {
      max-width: $spacer4 + 12;
      margin: auto;
      .item {
        margin-top: calc(var(--subdiv) * 3);
        border: 1px solid $color-w0;
        padding: $subdiv - 2 $subdiv - 1;
        @include border-radius(4px);
        cursor: pointer;
        line-height: 1;
        .icon {
          margin-right: $subdiv - 2;
          img {
            vertical-align: -1px;
          }
        }
        .text {
          font-size: $subdiv * 2 + 2;
        }
      }
    }
  }
}

.info-dropdown {
  @include position(absolute, 0, 0, auto, auto);
  .info-icon {
    display: block;
    width: $subdiv * 5 + 1;
    height: $subdiv * 5 + 1;
    background-color: $color-f1;
    border: 1px solid $color-w0;
    @include position(absolute, $subdiv * 2, $subdiv * 2, auto, auto);
    @include border-radius(50%);
    cursor: pointer;
    img {
      width: 100%;
    }
  }
  .dd-card {
    background-color: $color-d0-a;
    border: 1px solid $color-w0;
    @include border-radius($subdiv * 4);
    padding: $subdiv * 2;
    @include position(absolute, 0, 0, auto, auto);
    width: $column2 + $subdiv * 4;
    .dd-head {
      padding-bottom: $subdiv * 2;
      .left {
        width: calc(100% - calc(calc($subdiv * 5) + 1px));
        .avtar {
          width: $subdiv * 5 - 1;
          height: $subdiv * 5 - 1;
          margin-right: $subdiv * 2 - 2;
        }
        .name {
          color: $color-w0;
          font-size: $subdiv * 2 + 2;
          font-weight: 700;
        }
      }
      .right {
        width: $subdiv * 5 + 1;
        height: $subdiv * 5 + 1;
        .close {
          @include border-radius(50%);
          width: $subdiv * 5 + 1;
          height: $subdiv * 5 + 1;
          background-color: $color-f1;
          border: 1px solid $color-w0;
          position: relative;
          cursor: pointer;
          &::before {
            content: '';
            @include position(absolute, 0, 0, 0, 0);
            margin: auto;
            width: $subdiv - 3;
            height: $subdiv * 2 + 2;
            background-color: $color-w0;
            transform: rotate(45deg);
          }
          &::after {
            content: '';
            @include position(absolute, 0, 0, 0, 0);
            margin: auto;
            width: $subdiv - 3;
            height: $subdiv * 2 + 2;
            background-color: $color-w0;
            transform: rotate(-45deg);
          }
        }
      }
    }
    .item {
      padding: $subdiv - 2 $subdiv * 6;
      a {
        font-size: $subdiv * 3 - 2;
        line-height: 1.2;
        text-decoration: none;
      }
    }
  }
}

.hasQuestion {
  @include position(absolute, auto, auto, $subdiv * 2, $subdiv * 6);
  background-color: $color-d0-a;
  border: 1px solid $color-w0;
  @include border-radius($subdiv * 4);
  padding: $subdiv * 2 $subdiv * 11 $subdiv * 2 $subdiv * 4;
  .icon {
    display: block;
    width: $subdiv * 6 + 2;
    height: $subdiv * 6 + 2;
    margin-right: $subdiv * 2 + 2;
    img {
      width: $subdiv * 6 + 2;
      height: $subdiv * 6 + 2;
      @include border-radius(50%);
      object-fit: cover;
      border: 1px solid $color-w0;
    }
  }
  .text {
    width: calc(100% - calc(calc($subdiv * 9) - 1px));
    font-size: $subdiv * 3 - 1;
    .red {
      color: $color-e0;
      font-weight: 700;
    }
    .close {
      @include border-radius(50%);
      width: $subdiv * 5 + 1;
      height: $subdiv * 5 + 1;
      background-color: $color-d0;
      border: 1px solid $color-w0;
      @include position(absolute, 0, $subdiv * 4, 0, auto);
      margin: auto;
      cursor: pointer;
      &::before {
        content: '';
        @include position(absolute, 0, 0, 0, 0);
        margin: auto;
        width: $subdiv - 3;
        height: $subdiv * 2 + 2;
        background-color: $color-w0;
        transform: rotate(45deg);
      }
      &::after {
        content: '';
        @include position(absolute, 0, 0, 0, 0);
        margin: auto;
        width: $subdiv - 3;
        height: $subdiv * 2 + 2;
        background-color: $color-w0;
        transform: rotate(-45deg);
      }
    }
  }
}

.tipsthanks {
  background-color: $color-d0-a;
  border: 1px solid $color-w0;
  @include border-radius($subdiv * 4);
  padding: $subdiv * 2 $subdiv * 4;
  @include position(absolute, auto, 0, 0, auto);
  .icon {
    display: block;
    width: $subdiv * 8 - 2;
    height: $subdiv * 8 - 2;
    margin-right: $subdiv * 2 + 2;
    img {
      width: $subdiv * 8 - 2;
      height: $subdiv * 8 - 2;
      @include border-radius(50%);
      object-fit: cover;
      border: 1px solid $color-w0;
    }
  }
  .detail {
    width: calc(100% - calc(calc($subdiv * 5) * 3));
    padding-right: $subdiv + 3;
    .name {
      font-size: $subdiv * 3 - 1;
      line-height: 1.25;
      span {
        display: block;
      }
    }
  }
  .emoji {
    width: $subdiv * 5;
  }
}
.notified {
  max-width: $column4 - $spacer1;
  width: 100%;
  background-color: $color-d0-a;
  border: 1px solid $color-w0;
  @include border-radius($subdiv * 4);
  padding: $subdiv * 3 $subdiv * 3;
  @include position(absolute, auto, 0, 0, auto);
  .title {
    font-size: $subdiv * 3;
    margin-bottom: $subdiv + 2;
  }
  .optionlist {
    margin-bottom: $subdiv;
    .form-inline {
      input[type='radio'] {
        margin-right: $subdiv;
      }
      label {
        font-size: $subdiv * 3 - 2;
      }
    }
  }
  .notes {
    font-size: $subdiv * 3 - 3;
    font-style: italic;
    margin-bottom: $subdiv * 3;
  }
}

.rewards {
  max-width: $column4 + $spacer1;
  width: 100%;
  background-color: $color-d0-a;
  border: 1px solid $color-w0;
  @include border-radius($subdiv * 4);
  padding: $subdiv * 4 $subdiv * 5;
  @include position(absolute, auto, 0, 0, auto);
  .title {
    color: $color-f0;
    font-size: $subdiv * 3 + 3;
    font-weight: 700;
    margin-bottom: $subdiv * 3;
  }
  ul.points {
    margin: 0 0 $subdiv * 4;
    padding: 0;
    list-style: none;
    li {
      color: $color-w0;
      font-size: $subdiv * 3 + 3;
      line-height: 1.4;
      span.blue-text {
        color: $color-f2;
        text-decoration: underline;
        cursor: pointer;
      }
    }
  }
}

.tipamount {
  max-width: $column4 - $spacer1;
  width: 100%;
  background-color: $color-d0-a;
  border: 1px solid $color-w0;
  @include border-radius($subdiv * 4);
  padding: $subdiv * 3 $subdiv * 5;
  @include position(absolute, auto, 0, 0, auto);
  .tiphead {
    .title {
      color: $color-f0;
      font-size: $subdiv * 4 - 1;
      font-weight: 700;
      text-transform: uppercase;
      span {
        font-size: $subdiv * 2 + 2;
        font-weight: 400;
        text-transform: uppercase;
      }
    }
    .close {
      @include border-radius(50%);
      width: $subdiv * 5 + 1;
      height: $subdiv * 5 + 1;
      background-color: $color-f1;
      border: 1px solid $color-w0;
      @include position(absolute, $subdiv * 2 + 2, $subdiv * 3, 0, auto);
      cursor: pointer;
      &::before {
        content: '';
        @include position(absolute, 0, 0, 0, 0);
        margin: auto;
        width: $subdiv - 3;
        height: $subdiv * 2 + 2;
        background-color: $color-w0;
        transform: rotate(45deg);
      }
      &::after {
        content: '';
        @include position(absolute, 0, 0, 0, 0);
        margin: auto;
        width: $subdiv - 3;
        height: $subdiv * 2 + 2;
        background-color: $color-w0;
        transform: rotate(-45deg);
      }
    }
  }
  .tipbody {
    padding: $subdiv * 3 0;
    .emoji-list {
      margin-bottom: $subdiv * 4;
      .item {
        flex: 1 1 auto;
        .card {
          text-align: center;
          @include border-radius($subdiv + 3);
          border: 1px solid $color-f0;
          padding: $subdiv;
          .icon {
            width: $subdiv * 6 + 2;
            height: $subdiv * 6 + 2;
            margin: $subdiv * 2 auto $subdiv;
          }
          .text {
            color: $color-f0;
            font-size: $subdiv * 2 + 2;
          }
        }
        &:not(:last-child) {
          margin-right: $subdiv;
        }
      }
    }
    .lc-list {
      .item {
        margin-right: $subdiv * 2;
        margin-bottom: $subdiv * 2;
        display: inline-block;
        button {
          padding: $subdiv $subdiv * 2;
        }
        &.last-child {
          margin-right: 0;
        }
      }
    }
  }
  .btnWrap {
    .left {
      width: 50%;
      padding-right: $subdiv;
    }
    .right {
      width: 50%;
      padding-left: $subdiv;
      color: $color-f0;
      font-size: $subdiv * 2 + 2;
      b {
        margin-right: $subdiv - 2;
      }
      a,
      span {
        color: $color-f0;
      }
    }
  }
}
